/*
 *    Copyright  1996, 1997, 1998, 1999, 2000 by Remco Treffkorn
 *    Distributed under the terms of the Q Public License. Please see
 *    the included file LICENSE.
 */

#include "config.h"

//
// This is where conflicts are resolved.
// There are too many modes the program can be in, we need one central place
// to handle conflicts.
// The conservative thing is to do nothing.
// Only if things start falling apart do we handle the problem here.
// So far the theory ;-)
//

#include <stdio.h>
#include <X11/Xos.h>
#include <Xm/Text.h>
#include <Xm/Frame.h>
#include <Xm/MainW.h>

#include "mode.h"
#include "xmap.h"
#include "debug.h"

static int mode;


c_mode()
{
	return mode;
}

static void to_mark()
{
}

static void to_rest()
{
}

static void to_tracking()
{
}

static void to_logtodisk()
{
}

static void to_trackfromdisk()
{
}

static void stop(int qmode)
{
	mode &= ~qmode;
}

void ch_mode(int nmode, int flag)
{
    char bufp[256];
	if (flag==STOP) {
		stop(nmode);
		return;
	}

	switch(nmode) {
		case REST:		to_rest(); break;
		case NAVIGATE:		break;
		case TRACKING:		to_tracking(); break;
		case LOGTODISK:		to_logtodisk(); break;
		case TRACKFROMDISK:	to_trackfromdisk();
		case MARK:		to_mark();
		case CALIBRATE:		break;
		case CROUTE:		break;
		case XROUTE:		break;

		default:
			snprintf(bufp,255,"%s(%d):  Unknown mode!", __FILE__, __LINE__);
			internal_error(bufp, 0);
			return;

	}
	mode |= nmode;
}

int mode_is(int qmode)
{
	return mode & qmode;
}
